camel-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Matt Sicker <boa...@gmail.com>
Subject Re: [DISCUSS] Move to java 8 for 2.17?
Date Thu, 28 Jan 2016 17:38:10 GMT
Wasn't there a camel update from 1.6 to 1.7 in the 2.x series?

On 28 January 2016 at 10:12, Daniel Kulp <dkulp@apache.org> wrote:

>
> > On Jan 28, 2016, at 11:02 AM, Raul Kripalani <raulk@apache.org> wrote:
> >
> >
> >> Major version X (X.y.z | X > 0) MUST be incremented if any backwards
> > incompatible changes are introduced to the public API.
> >
> > http://semver.org/#spec-item-8
> >
> > If it did, there is no question that we must bump up to 3.0.0. But as we
> > stand, bumping up to 3.0.0 is optional and based on individual opinions
> and
> > feelings.
> >
> > @Daniel – did you have the same discussion in the CXF lists? (you stayed
> on
> > the 3.x track).
>
> Right.  CXF 3.0.x supports Java 6.   3.1.x is java 7/8.   3.2.x will be
> Java8 only.
>
> Also note that we already did the same thing with Camel, twice.   We
> supported Java 6 up to 2.14.0.   We dropped support for Java 6 and went
> Java7+ in 2.15.    Camel 2.6 supported Java5, but we dropped that in Camel
> 2.7 and went Java6+.
>
>
> --
> Daniel Kulp
> dkulp@apache.org - http://dankulp.com/blog
> Talend Community Coder - http://coders.talend.com
>
>


-- 
Matt Sicker <boards@gmail.com>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message